body {
  background-image: url('/snailpath.gif');
  background-size: cover;
  background-repeat: no-repeat;
  background-attachment: fixed;
  font-family: Times New Roman;
  color: white;
}



html {
  font-size: 16px;
}

img {
  display: block;
  margin: auto;
  width: 95%;
  min-width: 0;
  max-height: 480px;
  object-fit: contain;
}

@media (max-width: 480px) {
  img {
  display: block;
  margin: auto;
  width: 99%;
    
  }
}



p {
    font-size: 1rem;
}

h3{
  font-size: 1.4rem;
  font-style: italic;
  font-weight: bold;
  color: white;
  margin-bottom: 0;
}

h4 {

  font-size: 1.4rem;
  color: white;
  font-style: italic;
  font-weight: bold;
  margin-top: 0.5em;
  margin-bottom: 0;
}

a{
  color: hotpink;
}

a:visited {
  color: hotpink;
}

a:hover {
  color: lightskyblue;
  text-decoration-line: underline;
  text-decoration-style: wavy;
}

.body-center {
  margin-top: 2%;
  margin-left: 6%;
  margin-right: auto;
  width: 100em;
  height: 60em;
  overflow: hidden;
}

.home {
  display: flex;
  position: absolute;
  max-width: 150px;
  min-width: 150px;
  height: auto;
  margin-left: 3%;
  margin-right: 3%;
  z-index: 2;
 
}

.blog {
  
  margin-top:100px;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  align-content: center;
  gap: 1em;
  flex-wrap: wrap;
  }


.diarybook {

  background-color: black;

  box-shadow: 10px 10px 5px black;
  overflow-y: scroll;
  min-width: 200px;
  max-width: 1000px;
  width: 100%;
  margin-bottom: 100px;
}

.diaryindex {

  background-color: black;
  border-width: 0.2rem;
  border-style: solid;
  border-color: white;
  box-shadow: 10px 10px 5px black;
  font-style: italic;
  font-weight: bold;
  min-width: 150px;
  max-width: 200px;
  height: fit-content;
  padding: 15px;
  margin-top: 50px;
}


#blog1, #blog2, #blog3, #blog4, #blog5, #blog6, #blog7, #blog8, #blog9, #blog10, #blog11, #blog11, #blog12, #blog13{
    display: none;
  }
  
#blog1:target, #blog2:target, #blog3:target, #blog4:target, #blog5:target, #blog6:target, #blog7:target, #blog8:target, #blog9:target, #blog10:target, #blog11:target, #blog12:target, #blog13:target{
    display: block;
}


.blogitem {
  display: block;
  height: 100%;
  width: 100%;
  font-size: 1.2rem;
  font-weight: bold;
  font-style: italic;
  color: white;
}

.blogitem:visited {
  color:  white;
}

.blogitem:hover {
  background-color: green;
}

.blogitem:focus {
  background-color: blue;
}


.blogentry {
  text-align: justify;
  overflow: auto;
}

.blogtitle {
  text-align: center;
  background-color: black;
  width: 100%;
  margin-bottom: 0;
}

.blogtext {
  margin-left: 2%;
  margin-right: 3%;
  align-content: center;
}